<?php
/**
 * Zebrum Lite
 *
 * 
 *
 *      ,    
 *    LICENSE.txt.
 *           URL:
 * http://www.zebrum.ru/license.html
 *
 * @category   zebrum
 * @package    zengine
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 * @version    $Id: pagetags.php 655 2009-04-28 05:22:28Z  $
 */


/**
 *    
 *
 * @package    zengine
 * @subpackage zhelper
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 */
class zhelper_pagetags {
    /**
     *    .     , 
     *   #tags   
     *
     * @param string $template   
     */
	public function pagetags ($template = '#tags') {
	    $tags = $this->zpage->getTags();
	    if (empty($tags)) {
	        return;
	    }

	    foreach ($tags as $link => &$tag) {
	        $tag = '<a rel="tag" href="' . zengine::getModule('ztags')->getTagLink($link) . '">' . $tag . '</a>';
	    }

	    echo str_replace('#tags', implode(', ', $tags), $template);
	}
}
