<?php
/**
 * Zebrum Lite
 *
 * 
 *
 *      ,    
 *    LICENSE.txt.
 *           URL:
 * http://www.zebrum.ru/license.html
 *
 * @category   zebrum
 * @package    zengine
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 * @version    $Id: rewrite_rules.php 655 2009-04-28 05:22:28Z  $
 */

/**
 *  
 */

/**
 *  rewrite
 */
$router = zengine::getRouter();

/**
 *  ,    ,    
 * 
 */
$router->addRoute('page', new zroute(array('module' => 'zpage')));

/**
 *  RSS-   /rss.xml
 */
$router->addRoute('rss', new zroute(array(
    'url' => '/rss.xml',
    'module' => 'zrss',
    'params' => array(
        'title' => zengine::config()->get('rss.title', 'Zebrum Lite'),
        'description' => zengine::config()->get('rss.description', 'Zebrum Lite'),
        'sections' => zengine::config()->get('rss.sections', ''),
        'order' => zengine::config()->get('rss.order', 'sort desc, publish desc, title desc'),
        'limit' => zengine::config()->get('rss.limit', 10)
    )
)));

/**
 *  XML-    /sitemap.xml
 */
$router->addRoute('sitemapxml', new zroute(array(
    'url' => '/sitemap.xml',
    'module' => 'zsitemapxml'
)));

/**
 *    
 */
$router->addRoute('tags', new zroute(array(
    'pagepath' => '/tags',
    'module' => 'ztags',
    'params' => array(
        'title' => ' ',
    )
)));

/**
 *    
 */
$router->addRoute('sitemap', new zroute(array(
    'pagepath' => '/sitemap',
    'module' => 'zsitemap',
    'params' => array(
        'title' => ' ',
    )
)));
