<?php
/**
 * Zebrum Lite
 *
 * 
 *
 *      ,    
 *    LICENSE.txt.
 *           URL:
 * http://www.zebrum.ru/license.html
 *
 * @category   zebrum
 * @package    zengine
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 * @version    $Id: zmodule.php 655 2009-04-28 05:22:28Z  $
 */


/**
 *   
 *
 * @package    zengine
 * @subpackage zmodule
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 */
abstract class zmodule {
    /**
     *   ,   
     *
     * @param string $uri   
     * @return zpage
     */
    abstract public function getPage ($uri);

    /**
     *   
     *
     * @param array $arParams
     */
    public function setParams (array $arParams) {
    	$this->_params = $arParams;
    }

    /**
     *    
     *
     * @param string $key  
     * @param string $value  
     */
    public function setParam ($key, $value) {
    	$this->_params[$key] = $value;
    }

    /**
     *    
     *
     * @param string $key  
     * @param mixed $default   ,    
     * @return mixed
     */
    public function getParam ($key, $default = null) {
        if (isset($this->_params[$key])) {
            return $this->_params[$key];
        }

    	return $default;
    }

    /**
     *   
     *
     * @var array
     */
    protected $_params;
}
