<?php
/**
 * Zebrum Lite
 *
 * 
 *
 *      ,    
 *    LICENSE.txt.
 *           URL:
 * http://www.zebrum.ru/license.html
 *
 * @category   zebrum
 * @package    zengine
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 * @version    $Id: error.php 655 2009-04-28 05:22:28Z  $
 */

/** zpage */
require_once 'zengine/classes/zpage.php';

/**
 *    
 *
 * @package    zengine
 * @subpackage zpage
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 */
class zpage_error extends zpage {
    /**
     *    "404 Not Found"
     *
     * @return zpage
     */
    static public function getNotFound () {
    	return new zpage_error();
    }

    /**
     *  
     */
    private function __construct () {
        $this->properties = array(
            'title' => '404 Not Found',
            'h1' => 'Not Found',
	    'breadcrumb' => 'Not Found',
	    'pagepath' => '/404',
            'body' => 'The requested URL ' . $_SERVER['REQUEST_URI'] . ' was not found on this server.',
            'template' => '404',
            'filter' => 'asis',
        );
    }

}
