<?php
/**
 * Zebrum Lite
 *
 * 
 *
 *      ,    
 *    LICENSE.txt.
 *           URL:
 * http://www.zebrum.ru/license.html
 *
 * @category   zebrum
 * @package    zengine
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 * @version    $Id: zsidebarmanager.php 655 2009-04-28 05:22:28Z  $
 */


/**
 *    
 *
 * @package    zengine
 * @subpackage Widgets
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 */
final class zsidebarmanager
{
    /**
     *    
     *
     * @param zsidebar $sidebar
     * @param string $id
     * @return string
     */
    public static function register (zsidebar $sidebar, $id = null) {
    	if (null === $id) {
    	    $id = self::$autoincrementSidebarId++;
    	}

    	self::$sidebars[$id] = $sidebar;
    	return $id;
    }

    /**
     *     <code>$id</code>.  <code>$id</code>
     *  ,    ,   .
     *
     * @param string $id
     */
    public static function displaySidebar ($id = null) {
    	if (null === $id) {
    	    foreach (self::$sidebars as $sidebar) {
    	        /* @var $sidebar zsidebar */
    	        $sidebar->display();
    	    }
    	} else {
    	    if (isset(self::$sidebars[$id])) {
    	        self::$sidebars[$id]->display();
    	    }
    	}
    }

    /**
     *  
     *
     * @var array
     */
    private static $sidebars = array();

    /**
     *     
     *
     * @var int
     */
    private static $autoincrementSidebarId = 1;

    /**
     *  .   
     *
     */
    private function __construct ()
    { }
}
